Skip to main content
GET
/
public
/
v1
/
offsite-ads
/
audiences
List Offsite Audiences
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/audiences \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "dsp": [],
  "audiences": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "estimatedSize": 123,
      "estimatedSizeRange": {
        "lowerBound": 123,
        "upperBound": 123
      },
      "syncedDsps": []
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Query Parameters

vendor_id
string | null

If specified, only shows audiences that specific vendor has access to.

Example:

"vendor_123"

dsp
enum<string> | null

If specified, only shows audiences synced to this DSP.

Available options:
google_ads,
meta
Example:

"google_ads"

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

Response

Successful Response

hasMore
boolean
required

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

dsp
enum<string>[]
required

The Demand-Side Platform (DSP) or DSPs associated with the listed audiences.

The DSP to scope the requested operation or to filter the response by.

Available options:
google_ads,
meta
audiences
PublicOffsiteAudience · object[]
required

The audiences for the vendor

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Example:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="